% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 11: Razonamiento Basado en Casos
% Autores: Ángela Ribeiro, Xavier P. Burgos Artizzu y Jesús M. Conesa Muñoz

% Eliminación de líneas de cultivo, método E1
% Analysis of natural images processing for the extraction of agricultural
% elements. Image Vision Comput. 28(1): 138-149 (2010)
function [res,colI2,colD1,aux2] = E1(A,perc)
    [f,c] = size(A);
    res = A;
    v = sum(res(:,1:c));
    
    aux2 = zeros(f,c,3);
    aux2(:,:,1) = A;
    aux2(:,:,2) = A;
    aux2(:,:,3) = A;
  
    maximo = max(v);
    
    perc = maximo - (perc*maximo);
    ind1 = find(v>perc);
    res(1:f,ind1) = 0;
    
    aux2(1:f,ind1,1)=255;
    aux2(1:f,ind1,2)=255;
    aux2(1:f,ind1,3)=0;
        
    [x,tam] = size(ind1);
    
    if(tam>0)
        colI1 = min(ind1);
        colD2 = max(ind1);
        colI2 = colI1+ tam/2;
        colD1 = colD2- tam/2;
    else
        colI1 = 0;
        colD2 = 0;
        colI2 = 0;
        colD1 = 0;
    end;